Summary: Root crontab files used to schedule the execution of programs.
Name: crontabs
Version: 1.7
Release: 10mdk
Copyright: public domain
Group: System/Configuration/Other
Source0: crontab.bz2
Source1: run-parts.bz2
Requires: tmpwatch
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-root

%description
The crontabs package contains root crontab files.  Crontab is the
program used to install, uninstall or list the tables used to drive the
cron daemon.  The cron daemon checks the crontab files to see when
particular commands are scheduled to be executed.  If commands are
scheduled, it executes them.

Crontabs handles a basic system function, so it should be installed on
your system.

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cron.{hourly,daily,weekly,monthly}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}

bzip2 -dc  $RPM_SOURCE_DIR/crontab.bz2 > $RPM_BUILD_ROOT/%{_sysconfdir}/crontab
bzip2 -dc  $RPM_SOURCE_DIR/run-parts.bz2 > $RPM_BUILD_ROOT%{_bindir}/run-parts
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/crontab
chmod 755 $RPM_BUILD_ROOT/%{_bindir}/run-parts

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/crontab
%{_bindir}/run-parts
%dir %{_sysconfdir}/cron.hourly
%dir %{_sysconfdir}/cron.daily
%dir %{_sysconfdir}/cron.weekly
%dir %{_sysconfdir}/cron.monthly

%changelog

* Tue Sep 19 2000 Francis Galiegue <fg@mandrakesoft.com> 1.7-10mdk

- /etc/crontab is %%config(noreplace)

* Fri Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.7-9mdk
- macroszifications

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 1.7-8mdk
- Release build.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Release build.

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- don't run .rpm{save,new,orig} files (bug #2190)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Mon Nov 30 1998 Bill Nottingham <notting@redhat.com>
- crontab: set HOME=/

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- run-parts: skip sub-directories (e.g. CVS) found instead of complaining

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Erik Troan <ewt@redhat.com>
- moved crontab jobs up a bit to make sure they aren't confused by
  switching to and fro daylight savings time
  
* Fri Oct 24 1997 Erik Troan <ewt@redhat.com>
- removed tmpwatch and at entries

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
